unit adxOLBarShortcuts_IMPL;

interface

uses
  SysUtils, ComObj, ComServ, ActiveX, Variants, adxAddIn, adxOLBarShortcuts_TLB, StdVcl,
  Classes, Outlook2000;

type
  TADX_OLBarShortcuts = class(TadxAddin, IADX_OLBarShortcuts)
  end;

  TAddInModule = class(TadxCOMAddInModule)
    adxOLBarShortcutManager1: TadxOLBarShortcutManager;
    adxOlExplorerCommandbar1: TadxOlExplorerCommandbar;
    procedure adxCOMAddInModuleAddInInitialize(Sender: TObject);
    procedure adxOlExplorerCommandbar1Controls0Click(Sender: TObject);
    procedure adxOlExplorerCommandbar1Controls1Click(Sender: TObject);
  private
    Group: TadxOLBarGroup;
    Shortcut: TadxOLBarShortcut;
  protected
  public
  end;

implementation

{$R *.dfm}

uses Dialogs;

procedure TAddInModule.adxCOMAddInModuleAddInInitialize(Sender: TObject);
begin
  Group := nil;
  Shortcut := nil;
  // 'Add-in Express home' shortcut
  adxOLBarShortcutManager1.Groups[0].Shortcuts[0].IconFileName :=
    IncludeTrailingPathDelimiter(Self.COMAddInClassFactory.FilePath) + 'adx.ico';
end;

procedure TAddInModule.adxOlExplorerCommandbar1Controls0Click(Sender: TObject);
begin
  if Group = nil then begin
    Group := adxOLBarShortcutManager1.Groups.Add('New');
    Shortcut := Group.Shortcuts.Add(OutlookApp.GetNamespace('MAPI').GetDefaultFolder(olFolderInbox), 'Inbox', '');
  end;
end;

procedure TAddInModule.adxOlExplorerCommandbar1Controls1Click(Sender: TObject);
begin
  if Assigned(Shortcut) then begin
    Shortcut.Delete;
    Shortcut := nil;
  end;
  if Assigned(Group) then begin
    Group.Delete;
    Group := nil;
  end;
end;

initialization
  TadxFactory.Create(ComServer, TADX_OLBarShortcuts, CLASS_ADX_OLBarShortcuts, TAddInModule);

end.
